# TODO: system cpuinfo (when released? note: different project than packaged in cpuinfo.spec)
Summary:	Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder)
Summary(pl.UTF-8):	Scalable Video Technology dla AV1 (koder i dekoder SVT-AV1)
Name:		svt-av1
Version:	2.0.0
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://gitlab.com/AOMediaCodec/SVT-AV1/-/releases
Source0:	https://gitlab.com/AOMediaCodec/SVT-AV1/-/archive/v%{version}/SVT-AV1-v%{version}.tar.bz2
# Source0-md5:	c2997034a5bff3eec4c885adf27e152f
URL:		https://gitlab.com/AOMediaCodec/SVT-AV1
BuildRequires:	cmake >= 3.16
BuildRequires:	libstdc++-devel >= 6:5.4
BuildRequires:	rpmbuild(macros) >= 1.605
%ifarch %{x8664}
# or nasm >= 2.14
BuildRequires:	yasm >= 1.2.0
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is
an AV1-compliant encoder/decoder library core. The SVT-AV1 encoder
development is a work-in-progress targeting performance levels
applicable to both VOD and Live encoding/transcoding video
applications. The SVT-AV1 decoder implementation is targeting future
codec research activities.

%description -l pl.UTF-8
Scalable Video Technology dla AV1 (koder i dekoder SVT-AV1) to główna
biblioteka kodera/dekodera zgodnego z AV1. Rozwój kodera SVT-AV1 trwa,
a jego celem jest osiągnięcie wydajności nadającej się do kodowania i
przekodowywania obrazu zarówno VOD, jak i w czasie rzeczywistym.
Implementacja dekodera ma na celu dalsze badania nad kodekiem.

%package devel
Summary:	Header files for SVT-AV1 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SVT-AV1
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for SVT-AV1 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SVT-AV1.

%prep
%setup -q -n SVT-AV1-v%{version}

%build
%cmake -B build \
%ifnarch %{x8664}
	-DCOMPILE_C_ONLY=ON
%endif

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE.md PATENTS.md README.md 
%attr(755,root,root) %{_bindir}/SvtAv1DecApp
%attr(755,root,root) %{_bindir}/SvtAv1EncApp
%attr(755,root,root) %{_libdir}/libSvtAv1Dec.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSvtAv1Dec.so.0
%attr(755,root,root) %{_libdir}/libSvtAv1Enc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSvtAv1Enc.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSvtAv1Dec.so
%attr(755,root,root) %{_libdir}/libSvtAv1Enc.so
%{_includedir}/svt-av1
%{_pkgconfigdir}/SvtAv1Dec.pc
%{_pkgconfigdir}/SvtAv1Enc.pc
%changelog
* Wed Mar 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/svt-av1.git;a=log;h=master

* Tue Mar 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 00c35e2
- note on third-party cpuinfo library

* Tue Mar 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 7925d6c
- updated to 2.0.0 (new libSvtAv1Enc soname)

* Wed Feb 28 2024 Jakub Bogusz <qboosh@pld-linux.org> a585834
- updated to 1.8.0

* Sat Oct 21 2023 Jakub Bogusz <qboosh@pld-linux.org> 5bb83c4
- updated to 1.7.0

* Mon Aug 21 2023 Jakub Bogusz <qboosh@pld-linux.org> 32fadb1
- updated to 1.6.0

* Sat Apr 08 2023 Jakub Bogusz <qboosh@pld-linux.org> 23237ac
- updated to 1.4.1 (new libSvtAv1Enc soname)

* Sat Apr 09 2022 Jakub Bogusz <qboosh@pld-linux.org> f7a636f
- updated to 0.9.1

* Thu Apr 29 2021 Jakub Bogusz <qboosh@pld-linux.org> c037bad
- disable asm on x32

* Thu Apr 29 2021 Jakub Bogusz <qboosh@pld-linux.org> 102e92f
- new

